[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Install Compress::Zlib

I'm trying to use the ClamAV Webmin module.  The module seems to work, but
there is a message to please install Compress::Zlib.  However, when I try to
do with CPAN, I get the follwoing:

  CPAN.pm: Going to build P/PM/PMQS/Compress-Zlib-1.33.tar.gz

Parsing config.in...
Building Zlib enabled
Looks Good.
Up/Downgrade complete.
Checking if your kit is complete...
Looks good
Writing Makefile for Compress::Zlib
cp Zlib.pm blib/lib/Compress/Zlib.pm
AutoSplitting blib/lib/Compress/Zlib.pm (blib/lib/auto/Compress/Zlib)
/usr/bin/perl /usr/share/perl/5.8/ExtUtils/xsubpp  -typemap
/usr/share/perl/5.8/ExtUtils/typemap -typemap typemap  Zlib.xs > Zlib.xsc &&
mv Zlib.xsc Zlib.c
-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET
_BITS=64 -O2   -DVERSION=\"1.33\" -DXS_VERSION=\"1.33\" -fPIC
"-I/usr/lib/perl/5.8/CORE"   Zlib.c
/bin/sh: line 1: cc: command not found
make: *** [Zlib.o] Error 127
  /usr/bin/make  -- NOT OK
Running make test
  Can't test without successful make
Running make install
  make had returned bad status, install seems impossible


I used the same technique to install Date::Manip and HTML::Entities without
error.  What's wrong with installing Compress::Zlib?  Thanks!  - John

P.S. Debian Sarge - If I can install these three things with apt-get, what
are they called?

Reply to: